package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Objects;

/**
 * A DTO for the TBCrop entity.
 */
public class TBCropForReportListDTO implements Serializable {

    private String cropIds;

    private List<TBCropForReportDTO> tbCropForReportDTOList;

    public String getCropIds() {
        return cropIds;
    }

    public void setCropIds(String cropIds) {
        this.cropIds = cropIds;
    }

    public List<TBCropForReportDTO> getTbCropForReportDTOList() {
        return tbCropForReportDTOList;
    }

    public void setTbCropForReportDTOList(List<TBCropForReportDTO> tbCropForReportDTOList) {
        this.tbCropForReportDTOList = tbCropForReportDTOList;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        TBCropForReportListDTO that = (TBCropForReportListDTO) o;
        return Objects.equals(cropIds, that.cropIds) && Objects.equals(tbCropForReportDTOList, that.tbCropForReportDTOList);
    }

    @Override
    public int hashCode() {
        return Objects.hash(cropIds, tbCropForReportDTOList);
    }

    @Override
    public String toString() {
        return "TBCropForReportListDTO{" +
            "cropIds='" + cropIds + '\'' +
            ", tbCropForReportDTOList=" + tbCropForReportDTOList +
            '}';
    }
}
